libcoap 4.3.2rc2

Macros | Functions
coap_riot.h File Reference

RIOT-specific definitions for libcoap. More...

Go to the source code of this file.

## Macros
#define | LIBCOAP_MSG_QUEUE_SIZE (32U)
| Size of the queue for passing messages between the network interface and the coap stack. More...
#define | LIBCOAP_MAX_SOCKETS (16U)
| Maximum number of sockets that are simultaneously considered for reading or writing. More...

## Functions
void | coap_riot_startup (void)
| This function must be called in the RIOT CoAP thread for RIOT-specific initialization. More...

## Detailed Description

RIOT-specific definitions for libcoap.

Definition in file coap_riot.h.

## Macro Definition Documentation

## ◆ LIBCOAP_MAX_SOCKETS

#define LIBCOAP_MAX_SOCKETS (16U)

Maximum number of sockets that are simultaneously considered for reading or writing.

Definition at line 30 of file coap_riot.h.

## ◆ LIBCOAP_MSG_QUEUE_SIZE

#define LIBCOAP_MSG_QUEUE_SIZE (32U)

Size of the queue for passing messages between the network interface and the coap stack.

Definition at line 23 of file coap_riot.h.

## Function Documentation

## ◆ coap_riot_startup()

void coap_riot_startup | ( | void |  | ) |

This function must be called in the RIOT CoAP thread for RIOT-specific initialization.